package com.fr.plugin.nnsz.sms.action;

import com.fr.plugin.nnsz.sms.dao.SmsRecordDao;
import com.fr.plugin.nnsz.sms.entity.SmsRecord;
import com.fr.stable.db.action.DBAction;
import com.fr.stable.db.dao.DAOContext;

/**
 * @Author fr.open
 * @Date 2021/7/9
 * @Description
 **/
public class SmsAction implements DBAction<SmsRecord> {

    private SmsRecord record;

    public SmsAction(SmsRecord record) {
        this.record = record;
    }

    @Override
    public SmsRecord run(DAOContext daoContext) throws Exception {
        daoContext.getDAO(SmsRecordDao.class).addOrUpdate(record);
        return record;
    }
}
