package com.fr.plugin.nnsz.sms.entity;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

import java.util.Date;
import java.util.UUID;

/**
 * @Author fr.open
 * @Date 2020/11/5
 * @Description
 **/
@Entity
@Table(name = "plugin_nnsz_sms_record")
public class SmsRecord extends BaseEntity {

    @Column(name = "send_url")
    private String url;
    @Column(name = "mobile")
    private String mobile;
    @Column(name = "content",length = 2000)
    private String content;
    @Column(name = "sendTime")
    private Date sendTime;
    @Column(name = "send_result",length = 2000)
    private String result;

    public SmsRecord() {
        this.setId(UUID.randomUUID().toString());
        this.sendTime = new Date();
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }
}
